[fastify-oas](../README.md) > [ApiKeySecurity](../interfaces/apikeysecurity.md)

# Interface: ApiKeySecurity

## Hierarchy

 [BaseSecurity](basesecurity.md)

**↳ ApiKeySecurity**

## Index

### Properties

* [description](apikeysecurity.md#description)
* [in](apikeysecurity.md#in)
* [name](apikeysecurity.md#name)
* [type](apikeysecurity.md#type)

---

## Properties

<a id="description"></a>

### `<Optional>` description

**● description**: *`string`*

*Inherited from [BaseSecurity](basesecurity.md).[description](basesecurity.md#description)*

*Defined in node_modules/@types/swagger-schema-official/index.d.ts:175*

___
<a id="in"></a>

###  in

**● in**: *`string`*

*Defined in node_modules/@types/swagger-schema-official/index.d.ts:185*

___
<a id="name"></a>

###  name

**● name**: *`string`*

*Defined in node_modules/@types/swagger-schema-official/index.d.ts:184*

___
<a id="type"></a>

###  type

**● type**: *`string`*

*Inherited from [BaseSecurity](basesecurity.md).[type](basesecurity.md#type)*

*Defined in node_modules/@types/swagger-schema-official/index.d.ts:174*

___

